function WrapWithTag(Sender) {
  var f = new TForm(WeBuilder);
  f.Width = 190;
  f.Height = 112;
  f.Position = poScreenCenter;
  f.BorderStyle = bsSingle; //disable dialog resizing
  f.BorderIcons = biSystemMenu; //remove maximize & minimize buttons
  f.Caption = "Wrap in tag";
  
  var lbTag = new TLabel(f);
  lbTag.Parent = f;
  lbTag.Caption = "Tag name:";
  lbTag.SetBounds(16, 16, 46, 28);

  var cmbTag = new TComboBox(f);
  cmbTag.Parent = f;
  cmbTag.Items.Add("");
  var sl = new TStringList;
  sl.LoadFromFile(Script.Path + "tags.txt");
  var i;
  for (i = 0; i < sl.Count; i++) {
    cmbTag.Items.Add(sl[i]);
  }
  cmbTag.ItemIndex = 0;
  cmbTag.SetBounds(70, 16, 100, 28);
  
  var btnOk = new TButton(f);
  btnOK.Parent = f;
  btnOk.SetBounds(20, 50, 75, 25);
  btnOk.Caption = "OK";
  btnOk.Default = True;
  btnOK.ModalResult = mrOK;

  var btnCancel = new TButton(f);
  btnCancel.Parent = f;
  btnCancel.SetBounds(95, 50, 75, 25);
  btnCancel.Caption = "Cancel";
  btnCancel.Cancel = True;
  btnCancel.ModalResult = mrCancel;

  var r = f.ShowModal;

  if (r == mrOK) {
    var s = Editor.SelText;
    s = "<" + cmbTag.Text + ">" + s + "</" + cmbTag.Text + ">";
    Editor.SelText = s;
  }

  delete f;
}

Script.RegisterDocumentAction("", "Wrap with tag", "", &WrapWithTag);